Subject: [bug#49729] [PATCH core-updates] build-system/gnu: Make gzip files writable before resetting timestamps.

From: Sarah Morgensen <[email-masked]>
Date: Tue, 27 Jul 2021 18:21:40 -0700

Hello again,

Maxime Devos <[email-masked]> writes:

> Hi,
>
>> > This seems reasonable to me.  There are 35 package definions referring to
>> > 'reset-gzip-timestamps', could you follow up with patches removing the phases
>> > for making gzip files writable?
>> 
>> Yes, I intend to. Should I send them to this issue #, or separately?
>
> Personally, I'd send them to this issue # (easier to test whether this patch
> works that way).

I've sent a followup patchset; I only found 27 package definitions
referring to 'reset-gzip-timestamps', 7 of which delete the phase for
other reasons, as I've detailed in the cover letter. It's possible some
of these could be unnecessary after this change, but I'm not familiar
enough with the packages to tell.

>
>> (And one commit per package, yes?)
> Indeed!
>
> Greetings,
> Maxime.

--
Sarah